Subject: Re: bug#77039: 31.0.50; Flickering on macOS (Regression introduced by TTY child frame work)

From: Gerd Möllmann <[email-masked]>
Date: Sun, 16 Mar 2025 09:56:43 +0100

Aaron Jensen <[email-masked]> writes:

> Do you by chance have a version of 414de92a562 that is split into
> multiple, sequential commits? The area of most suspicion to me is the
> rewrite of update_frame. 

Kind of unlikely, but who knows. Update_frame splits into 3 branches,
one for window-system frames, one for tty frames, and one for the
initial frame. NS uses the update_window_frame, which shouldn't have
changed.

> It's the most significant change, and without going through it part by
> part, I can't tell if the non-try changes are mere refactoring or if
> they actually have behavioral change.

There is the branch scratch/tty-child-frames, which has a few commits,
but that's it, I'm afraid. I did the original development in my fork of
Emacs on Github, and deleted the branch, when things landed in master.